{ $Define Debug}
Unit SpoergDlgUnit;
{$IfDef Debug}
  {$A+,B-,C+,D+,E-,F-,G+,H+,I+,J+,K-,L+,M-,N+,O+,P+,Q-,R-,S-,T-,U-,V-,W-,X+,Y+,Z1}
{$Else}
  {$A+,B-,C-,D-,E-,F-,G-,H+,I+,J+,K-,L-,M-,N+,O+,P+,Q-,R-,S-,T+,U-,V-,W-,X+,Y-,Z1}
{$EndIf}
{<< Mads Lundwall 2000 >>}

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TSpoergDlg= class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    Label1: TLabel;
    StopKnap: TButton;
    JaAlle: TBitBtn;
    procedure StopKnapClick(Sender: TObject);
    procedure JaAlleClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    JaTilAlle : Boolean;
  public
    Function Ask(s : String) : Boolean;
    { Public declarations }
  end;

Var
  SpoergDlg : TSpoergDlg;

implementation
Uses
  OpdaterU;

    Function TSpoergDlg.Ask(s : String) : Boolean;
    Begin
      If JaTilAlle Then
        Ask:=True
      Else
      Begin
        Label1.Caption:=s+' ?';
        Ask:=ShowModal=mrOK;
      End
    End;

{$R *.DFM}

  procedure TSpoergDlg.StopKnapClick(Sender: TObject);
  begin
    OpForm.Stop;
  end;

  procedure TSpoergDlg.JaAlleClick(Sender: TObject);
  begin
    JaTilAlle:=True
  end;

  procedure TSpoergDlg.FormShow(Sender: TObject);
  begin
    JaTilAlle:=False
  end;

End.
